> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/reports-and-administration/purge-portal.md).

# Purge Portal

## POST /api/public/purge/portal/branding

> Public purge portal branding

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"PurgePortal"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.PurgePortalController+RefRequest":{"type":"object","properties":{"ref":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/public/purge/portal/branding":{"post":{"tags":["PurgePortal"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.PurgePortalController+RefRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Public purge portal branding","operationId":"post__api_public_purge_portal_branding"}}}}
```

## POST /api/public/purge/portal/send-otp

> Public purge portal send OTP

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"PurgePortal"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.PurgePortalController+RefRequest":{"type":"object","properties":{"ref":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/public/purge/portal/send-otp":{"post":{"tags":["PurgePortal"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.PurgePortalController+RefRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Public purge portal send OTP","operationId":"post__api_public_purge_portal_send_otp"}}}}
```

## POST /api/public/purge/portal/verify-otp

> Public purge portal verify OTP

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"PurgePortal"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.PurgePortalController+VerifyRequest":{"type":"object","properties":{"ref":{"type":"string","nullable":true},"otp":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/public/purge/portal/verify-otp":{"post":{"tags":["PurgePortal"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.PurgePortalController+VerifyRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Public purge portal verify OTP","operationId":"post__api_public_purge_portal_verify_otp"}}}}
```

## POST /api/public/purge/portal/list

> Public purge portal list

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"PurgePortal"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.PurgePortalController+SessionRequest":{"type":"object","properties":{"sessionToken":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/public/purge/portal/list":{"post":{"tags":["PurgePortal"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.PurgePortalController+SessionRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Public purge portal list","operationId":"post__api_public_purge_portal_list"}}}}
```

## POST /api/public/purge/portal/download

> Public purge portal download

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"PurgePortal"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.PurgePortalController+DownloadRequest":{"type":"object","properties":{"sessionToken":{"type":"string","nullable":true},"recordId":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/api/public/purge/portal/download":{"post":{"tags":["PurgePortal"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.PurgePortalController+DownloadRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Public purge portal download","operationId":"post__api_public_purge_portal_download"}}}}
```
